package com.redxun.knowledge.album.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <pre>
 *
 * 描述：业务--专辑版本表实体类定义
 * 表:KM_ALBUM_VERSION
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-31 10:07:08
 * 版权：
 * </pre>
 */


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ALBUM_VERSION")
public class AlbumVersion extends BaseExtEntity<String> {

    @JsonCreator
    public AlbumVersion() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    //专辑ID
    @TableField(value = "ALBUM_ID")
    private String albumId;
    //审核申请人ID;将版本提交审核的人员ID
    @TableField(value = "APPLY_USER_ID")
    private String applyUserId;
    //版本状态;版本状态：1-审核中  2-生效中  3-未生效
    @TableField(value = "STATE")
    private Integer state;
    //版本审核状态;版本审核状态：0-待审核  1-审核中  2-审核通过  3-审核驳回
    @TableField(value = "APPROVAL_STATE")
    private Integer approvalState;
    //专辑简介
    @TableField(value = "SUMMARY")
    private String summary;
    //删除标记;删除状态：0-正常 1-删除
    @TableLogic
    @TableField(value = "IS_DEL")
    private Integer isDel;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



