package com.redxun.knowledge.album.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * 文件名: AlbumInfoDto
 * 作者: Zizg
 * 时间: 2023/2/1
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("专辑信息")
@Data
public class AlbumInfoDto implements Serializable {

    @NotEmpty(message = "专辑名称不能为空")
    @ApiModelProperty("专辑名称")
    private String name;

    @NotEmpty(message = "专辑分类不能为空")
    @ApiModelProperty("专辑分类Id")
    private String categoryId;

    @NotEmpty(message = "专辑封面不能为空")
    @ApiModelProperty("专辑封面")
    private String cover;

    @ApiModelProperty("专辑简介")
    private String summary;

    @ApiModelProperty("专辑目录集合")
    private List<AlbumCatalogueDto> catalogues;
}
