package com.redxun.knowledge.analysis.entity.dao;
/**
 * <pre>
 *
 * 描述：业务--系统页面访问量日志表实体类定义
 * 表:KM_PV_LOG
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-03-17 10:45:30
 * 版权：
 * </pre>
 */


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_PV_LOG")
public class PvLog extends BaseExtEntity<String> {

    @JsonCreator
    public PvLog() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    //模块;知识仓库、知识地图、搜索服务、知识专辑、其他
    @TableField(value = "MODULE")
    private String module;
    //子模块;通用、详情
    @TableField(value = "SUB_MODULE")
    private String subModule;
    //访问人ID
    @TableField(value = "USER_ID")
    private String userId;
    //页面路径
    @TableField(value = "PAGE")
    private String page;
    //平台名称;知识管理系统、网盘系统、EIP系统、工作管理系统、平展系统、DCC管理系统
    @TableField(value = "PLATFORM")
    private String platform;
    //补充字段
    @TableField(value = "USSD")
    private String ussd;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



