package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.Knowledge;
import com.redxun.knowledge.entity.dao.OsGroup;
import com.redxun.knowledge.entity.dto.TransferAuthorDto;
import com.redxun.knowledge.entity.vo.KnowledgeApprovalVo;
import com.redxun.knowledge.entity.vo.KnowledgeVo;
import com.redxun.knowledge.entity.vo.OsUser;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 业务--知识表数据库访问层
 */
@Mapper
public interface KnowledgeMapper extends BaseDao<Knowledge> {

    void create(@Param("param") Knowledge knowledge);

    IPage findAllKnowledge(IPage page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    void deleteKnowledge(String knowledgeId);

    List<KnowledgeVo> findAllAuditKnowledge(@Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    IPage getAllKnowledgeByCategoryId(IPage page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    // 修改知识审核状态
    void updateApprovalStatus(@Param("knowledgeId") String knowledgeId, @Param("status") Integer status);

    // 查询待审核的知识数量
    List<KnowledgeVo> countAuditKnowledge();

    // 增加浏览量
    void updateViewsById(String pkId);

    // 查看全部已通过的维基知识
    List<Knowledge> findAllWiki(String categoryId);

    /**
     * 转移作者
     * @param authors
     * @param arriveAuthor
     */
    void transferAuthor(@Param("authorList") List<String> authors,@Param("arriveAuthor") String arriveAuthor,
                        @Param("arriveAuthorName") String arriveAuthorName);

    IPage<OsUser> getAllUsersByGroupId(IPage page, @Param("w") Map<String, String> params);

    List<OsGroup> getByDimIdUserIdRelTypeIdIsMain(@Param("dimId") String dimId, @Param("userId") String userId, @Param("relTypeId") String relTypeId, @Param("isMain") String isMain, @Param("tenantId") String tenantId);

}
